Inhalte
Index 🔎︎

# Anweisung RSet

Ordnet eine Zeichenkette rechtsbündig innerhalb einer Zeichenkettenvariablen an oder kopiert einen benutzerdefinierten Variablentyp in einen anderen.

### Syntax:

    RSet Text As String = Text oder RSet Variable1 = Variable2

### Parameter:

Text: Eine beliebige Zeichenkettenvariable.

Text: Zeichenkette, die Sie innerhalb der Zeichenkettenvariablen rechts ausrichten möchten.

Variable1: Benutzerdefinierte Variable, die das Ziel für die kopierte Variable darstellt.

Variable2: Benutzerdefinierte Variable, die Sie in eine andere Variable kopieren möchten.

Ist die Zeichenkette kürzer als die Zeichenkettenvariable, ordnet die Anweisung RSet die Zeichenkette rechtsbündig in der Zeichenkettenvariablen an. Die freien Stellen der Zeichenkettenvariablen werden mit Leerzeichen aufgefüllt. Ist die Zeichenkette länger, werden nur so viele Zeichen der Zeichenkette rechtsbündig in der Zeichenkettenvariablen angeordnet, wie diese aufnehmen kann.

Sie können die Anweisung RSet auch verwenden, um Variablen eines benutzerdefinierten Typs einem anderen Typ zuzuweisen.

Das folgende Beispiel verwendet die Anweisungen RSet und LSet, um die Rechts-/Linksausrichtung einer Zeichenkette zu ändern.

### Beispiel:

    Sub ExampleRLSet
    Dim sVar As String
    Dim sExpr As String
        sVar = String(40,"*")
        sExpr = "SBX"
        ' "SBX" im 40 Zeichen langen Referenzstring rechts ausrichten
        ' Die Sternchen durch Leerzeichen ersetzen
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123457896"
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(40,"*")
        sExpr = "SBX"
        ' "SBX" im 40 Zeichen langen Referenz-String links ausrichten
        LSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123456789"
        LSet sVar = sExpr
        Print ">"; sVar; "<"
    End Sub

Verwandte Themen

Zeichenketten-Funktionen